package epson.print;

public class IprintStrictMode {
    static StrictModeInterface mStrictMode = new DummyStrictMode();

    interface StrictModeInterface {
        void permitAll();

        void restoreStatus();

        void start();
    }

    public static StrictModeInterface getStrictMode() {
        return mStrictMode;
    }

    static class DummyStrictMode implements StrictModeInterface {
        public void permitAll() {
        }

        public void restoreStatus() {
        }

        public void start() {
        }

        DummyStrictMode() {
        }
    }
}
